<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net6.0-windows</TargetFramework>
		<OutputType>Library</OutputType>
		<GenerateAssemblyInfo>true</GenerateAssemblyInfo>
		<UseWPF>true</UseWPF>
		<UseWindowsForms>true</UseWindowsForms>
		<ImportWindowsDesktopTargets>true</ImportWindowsDesktopTargets>
		<AssemblyVersion>3.0</AssemblyVersion>
	</PropertyGroup>

	<ItemGroup Condition=" '$(TargetFramework)' == 'net472' ">
		<Reference Include="System.Management" />
		<Reference Include="System.Windows.Forms" />
	</ItemGroup>

	<ItemGroup>
	  <Compile Remove="Guis\WebRadio\**" />
	  <EmbeddedResource Remove="Guis\WebRadio\**" />
	  <None Remove="Guis\WebRadio\**" />
	  <Page Remove="Guis\WebRadio\**" />
	</ItemGroup>

	<ItemGroup>
		<None Remove="Icons\Cross.png" />
		<None Remove="Icons\FondiumU.ico" />
		<None Remove="Icons\Open.png" />
	</ItemGroup>
	<ItemGroup>
		<AppDesigner Include="Properties\" />
	</ItemGroup>
	<ItemGroup>
		<Resource Include="Icons\Cross.png" />
		<Resource Include="Icons\FondiumU.ico" />
		<Resource Include="Icons\Open.png" />
	</ItemGroup>
	<ItemGroup>
		<None Include="Guis\SieStarterCsvExporter\Convert_SINAMICS_trace_CSV.exe">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
	</ItemGroup>
	<ItemGroup>
	  <PackageReference Include="Microsoft.Management.Infrastructure" Version="2.0.0" />
	  <PackageReference Include="NLog.Extensions.Logging" Version="5.2.1" />
	  <PackageReference Include="System.Configuration.ConfigurationManager" Version="7.0.0" />
	  <PackageReference Include="System.Text.Encoding.CodePages" Version="7.0.0" />
	  <PackageReference Include="TextCopy" Version="6.2.1" />
		<PackageReference Include="System.ComponentModel.Composition" Version="7.0.0" />
		<PackageReference Include="NAudio" Version="2.1.0" />
	</ItemGroup>
	<ItemGroup>
	  <ProjectReference Include="..\..\RoboSharp\RoboSharp.csproj" />
	</ItemGroup>

</Project>
